Mailinglist Archive: opensuse-buildservice (260 mails)

< Previous Next >
Re: [opensuse-buildservice] Error building python-keyring for Ubuntu:9.10
I'm not using KDE, I was just trying to not drop features (since I
believe the Ubuntu:9.10 repo is supposed to support Kubuntu too). I
figured out what the old APIs were called, but I didn't actually test
that the compiled backend works correctly, since like I said, I don't
use KDE.

Also, Ubuntu 9:10 uses KDE 4, but KDE4 uses QT 3. KDE 4 depends on
libqt3-mt (multi-threaded).

On Thu, 2009-12-10 at 00:13 -0600, Adrian Schröter wrote:
Am Mittwoch, 9. Dezember 2009 21:24:45 schrieb Luke Imhoff:
The KDE backend assumes that KDE is built against QT 4, but Ubuntu is
using KDE against QT3 still. Any chance someone more familiar with QT
could add support for QT3?

Hm, KDE 3 is really history. I personally would not invest time here anymore.

Better switch off the kde support on ubuntu than.

bye
adrian

On Tue, 2009-12-08 at 00:44 -0600, Adrian Schröter wrote:
Am Montag, 7. Dezember 2009 21:09:18 schrieb Luke Imhoff:
...

The error seems to be complaining about building the gnome_keyring
backend against the static libgnome-keyring. I believe the makefile is
auto-generated by setup.py, so I'm not sure how I force the build to
use the .so instead of the .a. Has anyone else tried building
python-keyring for a Debian or Ubuntu-based platform?

Last time I tried it looked to me that the swig on ubuntu was broken (but
the error was different). But I did not look deeper.

byer
adrian


--

Adrian Schroeter
SUSE Linux Products GmbH
email: adrian@xxxxxxx



--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups